Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 90908

Summary: Move the bundled Tomcat server to installer/autoupdate
Product: javaee Reporter: Petr Jiricka <pjiricka>
Component: CodeAssignee: Sherold Dev <sherold>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2    
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard: plan60 nbide
Issue Type: TASK Exception Report:
Bug Depends on:    
Bug Blocks: 89772    

Description Petr Jiricka 2006-12-11 17:29:08 UTC
Currently Tomcat is bundled directly in IDE builds. The right approach should be
to integrate Tomcat through the installer, which gives greater flexibility from
both the user point of view (the user can choose whether to install Tomcat or
not) and from the point of view of creating a tailored NetBeans distribution
(e.g. for inclusion in various Linux distributions).

So, Tomcat should be removed from builds. The first step is to put Tomcat on the
update center, so the out of box experience is preserved as much as possible.
The second step will be to provide it through the installer.

Commit validation is a tricky part of this, as currently commit validation
heavily depends on the bundled Tomcat. If we don't want to lose functionality,
we will need to work around the lack of bundled Tomcat in the commit validation.
Comment 1 Sherold Dev 2006-12-15 14:37:10 UTC
The first step of this issue is completed, see issue 91076.
Comment 2 Sherold Dev 2007-03-14 17:27:03 UTC
Adding Tomcat server instance auto-registration support.

Checking in tomcat5/src/org/netbeans/modules/tomcat5/Bundle.properties;
/cvs/tomcatint/tomcat5/src/org/netbeans/modules/tomcat5/Bundle.properties,v  <--
 Bundle.properties
new revision: 1.35; previous revision: 1.34
done
Checking in tomcat5/src/org/netbeans/modules/tomcat5/TomcatFactory.java;
/cvs/tomcatint/tomcat5/src/org/netbeans/modules/tomcat5/TomcatFactory.java,v 
<--  TomcatFactory.java
new revision: 1.20; previous revision: 1.19
done
Checking in tomcat5/src/org/netbeans/modules/tomcat5/TomcatManager.java;
/cvs/tomcatint/tomcat5/src/org/netbeans/modules/tomcat5/TomcatManager.java,v 
<--  TomcatManager.java
new revision: 1.88; previous revision: 1.87
done
Checking in tomcat5/src/org/netbeans/modules/tomcat5/util/TomcatProperties.java;
/cvs/tomcatint/tomcat5/src/org/netbeans/modules/tomcat5/util/TomcatProperties.java,v
 <--  TomcatProperties.java
new revision: 1.16; previous revision: 1.15
done
Comment 3 Petr Jiricka 2007-05-22 15:48:00 UTC
Although we are still planning to do some improvements, the main part is done,
so closing as fixed.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo